DeviceInformationFragment

com.ftdi.javad2xxdemo.ft4222

## Class DeviceInformationFragment

- java.lang.Object
- - Fragment
  - - com.ftdi.javad2xxdemo.ft4222.DeviceInformationFragment

-     public class DeviceInformationFragment
      extends Fragment

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceInformationFragment()`
    `DeviceInformationFragment(Context parentContext, D2xxManager ftdid2xxContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `GetDeviceInformation()`
    `int` | `getShownIndex()`
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)`
    `void` | `onDestroyView()`
    `void` | `onResume()` Hot plug for plug in solution This is workaround before android 4.2 .
    `void` | `onStart()`
    `void` | `RefrestDeviceInformation(View view)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceInformationFragment

          public DeviceInformationFragment()

    - #### DeviceInformationFragment

          public DeviceInformationFragment(Context parentContext,
                                   D2xxManager ftdid2xxContext)

  - ### Method Detail

    - #### getShownIndex

          public int getShownIndex()

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

    - #### onStart

          public void onStart()

    - #### GetDeviceInformation

          public void GetDeviceInformation()
                                    throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### RefrestDeviceInformation

          public void RefrestDeviceInformation(View view)

    - #### onResume

          public void onResume()

      Hot plug for plug in solution This is workaround before android 4.2 . Because BroadcastReceiver can not receive ACTION_USB_DEVICE_ATTACHED broadcast

    - #### onDestroyView

          public void onDestroyView()

About FTDI | FTDI Licence Terms